summaryrefslogtreecommitdiff
path: root/dev-ruby/diff-lcs/diff-lcs-1.4.ebuild
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-ruby/diff-lcs/diff-lcs-1.4.ebuild
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadsrcux-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
srcux-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
srcux-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-ruby/diff-lcs/diff-lcs-1.4.ebuild')
-rw-r--r--dev-ruby/diff-lcs/diff-lcs-1.4.ebuild19
1 files changed, 19 insertions, 0 deletions
diff --git a/dev-ruby/diff-lcs/diff-lcs-1.4.ebuild b/dev-ruby/diff-lcs/diff-lcs-1.4.ebuild
new file mode 100644
index 000000000000..83d94225b6f1
--- /dev/null
+++ b/dev-ruby/diff-lcs/diff-lcs-1.4.ebuild
@@ -0,0 +1,19 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby25 ruby26 ruby27"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_EXTRADOC="README.rdoc History.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Use the McIlroy-Hunt LCS algorithm to compute differences"
+HOMEPAGE="https://github.com/halostatue/diff-lcs"
+
+LICENSE="|| ( MIT Ruby GPL-2 )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE=""